
Portal - Employment  - Bug #1886

PamEmployment - the request expiry period doesn't take the weekend days into consideration 

09/29/2019 01:12 PM - Israa Naser

Status: Fixed Start date: 09/26/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Israa Naser Actual Result:  

Severity: Normal Environment: QA

Category: PAMP PHASE II - Portal - Employment Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 111

Description

in the report generated on submitting the request, the request expiry period doesn't take the weekend days into consideration

as the system should count working days only,

weekends and other official holidays should be excluded since the user cannot refer to the ministry during those days

For example:

i submitted a request on Thursday 26-Sep-2019, the expiration duration is 4 days

which should end on Wednesday 25-Sep-2019, excluding the (Friday and Saturday)

but the report shows that it ends on Monday 23-Sep-2019 (check screenshot attached)

this was noticed on Service 111, but could be duplicated over other services

History

#1 - 09/29/2019 01:37 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Israa Naser

Dear Israa,

could you give me the screen Name or use Case Id as mentioned in "Handover of Employment Modules tasks"  Email to assign it to the concerned

developer initially then check all reports.

#2 - 09/29/2019 02:50 PM - Israa Naser

- Assignee changed from Israa Naser to Mahmoud Tarawneh

Hello Mahmoud,

Test case ID is RMPMF 015

طلب تجديد إذن عمل شريك

Moath Mohammad.

Thanks

#3 - 09/29/2019 08:41 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Mouath Saadah
#4 - 09/30/2019 09:33 AM - Mahmoud Tarawneh

- Assignee changed from Mouath Saadah to Saleh Al Khatib

#5 - 10/02/2019 10:39 AM - Saleh Al Khatib

- Status changed from Open to Fixed

- Assignee changed from Saleh Al Khatib to Mahmoud Tarawneh

- % Done changed from 0 to 100

Fixed and deployed check it now please .

#6 - 11/19/2019 02:58 PM - Mahmoud Tarawneh

- Assignee changed from Mahmoud Tarawneh to Israa Naser
